## libao1 1.0.0

=== Makefile ===
PACKAGE:=libao
VERSION:=1.0.0
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS:=http://downloads.xiph.org/releases/ao

include ../Rules.make

ifeq ($(IS_FREMANTLE),y)
BADRIVERS:=libasound2-dev,libpulse-dev
ADRIVERS:=libasound2,libpulse0
else
BADRIVERS:=libasound2
ADRIVERS:=libasound2
endif

debian/control:: debian/control.in Makefile debian/rules debian/changelog
	@echo "*** Using audio driver(s): $(ADRIVERS)"
	sed -e s/@BAUDIODRIVERS@/$(BADRIVERS)/ debian/control.in > debian/control
	sed -i -e s/@AUDIODRIVERS@/$(ADRIVERS)/ debian/control

=== debian/changelog ===
libao1 (1.0.0) fremantle; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Fre, 18 Feb 2011 17:12:00 +0200

=== debian/control ===
Source: libao1
Priority: extra
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 5), autotools-dev, xutils-dev, libice-dev, libasound2-dev,libpulse-dev
Standards-Version: 3.7.2
Section: libs

Package: libao1
Section: libs
Architecture: any
Depends: libasound2,libpulse0
Description: Cross Platform Audio Output Library
 Libao is a cross platform audio output library.  It supports
 ALSA, aRts, ESD, OSS, Pulse, and several other audio systems.

Package: libao1-dev
Section: libdevel
Architecture: any
Depends: libao1
Replaces: libao0-dev
Conflicts: libao0-dev
Description: Cross Platform Audio Output Library dev
 Development files for libao1

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=libao-1.0.0

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

ifeq ($(IS_FREMANTLE),y)
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --disable-nas --disable-arts --disable-alsa --disable-alsa09
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
else
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --disable-nas --disable-arts
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
endif
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_DESTDIR=$(CURDIR)/debian/tmp

install/libao1::
ifeq ($(IS_FREMANTLE),y)
	install -d -m 755 debian/tmp/opt/lib
	install -d -m 755 debian/tmp/opt/lib/ao/plugins-4

	mv debian/tmp/usr/lib/ao/plugins-4/*.so debian/tmp/opt/lib/ao/plugins-4/
	mv debian/tmp/usr/lib/libao* debian/tmp/opt/lib/

	ln -sf /opt/lib/ao/plugins-4/libpulse.so debian/tmp/usr/lib/ao/plugins-4/libpulse.so

	ln -sf /opt/lib/libao.so debian/tmp/usr/lib/libao.so
	ln -sf /opt/lib/libao.so.4 debian/tmp/usr/lib/libao.so.4
	ln -sf /opt/lib/libao.so.4.0.0 debian/tmp/usr/lib/libao.so.4.0.0
endif

## libao1 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=libao
-VERSION:=1.0.0
+VERSION:=1.1.0
 SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
 HOMEPAGE:=
 URLS:=http://downloads.xiph.org/releases/ao

=== debian/changelog ===
libao1 (1.1.0) fremantle; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 14 Apr 2011 21:02:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_TAR_SRCDIR:=libao-1.0.0
+DEB_TAR_SRCDIR:=libao-1.1.0
 
 include /usr/share/cdbs/1/rules/tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
